Subject: Re: [PATCH] gc: support temporarily preserving garbage

From: Jeff King <[email-masked]>
Date: Mon, 17 Nov 2014 16:34:42 -0500

On Fri, Nov 14, 2014 at 03:01:05PM -0800, Junio C Hamano wrote:

> >  23 files changed, 375 insertions(+), 7 deletions(-)
> [...]
> 
> I am not sure if this much of code churn is warranted to work around
> issues that only happen on repositories on NFS servers that do not
> keep open-but-deleted files available.  Is it an option to instead
> have a copy of repository locally off NFS?

I think it is also not sufficient. This patch seems to cover only
objects. But we assume that we can atomically rename() new versions of
files into place whenever we like without disrupting existing readers.
This is the case for ref updates (and packed-refs), as well as the index
file.  The destination end of the rename is an unlink() in disguise, and
would be susceptible to the same problems.

-Peff